NAME
smtpsched - process messages queued in the SMTP mail queue

SYNOPSIS
smtpsched [ -c ] [ -v ] [ -t ] [ -s scheds ] [ -r days ] [ -w days ] [ qnames ]

DESCRIPTION
smtpsched is used to process the messages queued up in the SMTP mail queue /var/spool/smtpq. It is invoked automatically by the SMTP mail surrogate smtpqer, whenever mail is queued for SMTP delivery to a remote host, and by smtpd whenever incoming mail arrives. It should also be run once per hour (from cron) to attempt delivery of any mail that cannot be delivered immediately.

smtpsched will normally attempt to send all messages queued under all subdirectories of /var/spool/smtpq. However, if qnames are specified, only those listed subdirectories of /var/spool/smtpq will be searched for messages to deliver. The subdirectories each refer to a different remote host.

The options to smtpsched are as follows:

-c  Causes empty queue directories to be removed.

-v  Causes verbose logging to occur.

-t  Test mode. The actions smtpsched would take are logged but not performed.

-s scheds
    Specifies the maximum number of concurrent smtpscheds that may be running at once. If more than this number is running, smtpsched will exit.

-r days
    Causes mail older than days days to be returned.

-w days
    Any mail older than days days will trigger a warning message, which is sent to the originator.

FILES

/usr/lib/mail/surrcmd/smtp
    delivers the mail

/usr/lib/mail/surrcmd/smtpqer
    queues the mail

/var/spool/smtpq
    queued mail messages

/var/spool/smtpq/LOG*
    log files

/var/spool/smtpq/host
    mail messages queued for host

SEE ALSO
cron(1M), smtp(1M), smtpqer(1M)